Bug 177744 - can't blank CD-RW
can't blank CD-RW
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nautilus-cd-burner (Show other bugs)
9
All Linux
medium Severity high
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-13 12:27 EST by Alexandre Oliva
Modified: 2015-01-14 18:19 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:01:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2006-01-13 12:27:59 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8) Gecko/20060103 Fedora/1.5-4 Firefox/1.5

Description of problem:
If I insert a non-blank CD-RW in a CD writer, something (Nautilus?) will automatically mount it.  If I attempt to record something else in the drive with cdrecord, it won't work because the drive is mounted.  I can't unmount it unless I'm root.  Nautilus does not offer an option to unmount the volume.  If I try to burn an iso using Nautilus itself, it won't work because the CD isn't blank, and it won't offer to blank it for me.  WTF is one supposed to do to blank a CD without resorting to black magic such as ejecting the CD, becoming root, starting cdrecord with the right options and insert the CD back just in time for cdrecord to acquire the lock before Nautilus manages to mount it again?

Version-Release number of selected component (if applicable):
FC5T2

How reproducible:
Always

Steps to Reproduce:
1.Try to overwrite a non-blank CD-RW with a given iso.

Actual Results:  Couldn't find a way to do it in FC5.  I'm pretty sure FC4 would offer you the option to blank the CD, and it also offered me the option to unmount media by hand.

Expected Results:  No such dumbing down of the interface to the point of rendering it impossible to use.

Additional info:
Comment 1 Bill Nottingham 2006-01-18 13:07:06 EST
Seeing this with 2.13.5-1.

<davidz> it should use gnome-vfs or gnome-eject (part of gnome-mount)
Comment 2 David Zeuthen 2006-01-23 09:17:29 EST
I believe it uses gnome-vfs to eject?
Comment 4 David Zeuthen 2006-01-23 09:20:56 EST
In comment #2 I meant to say: "I believe n-c-b uses gnome-vfs to unmount"
Comment 5 David Zeuthen 2006-01-23 09:32:35 EST
might be related to this bug

 http://bugzilla.gnome.org/show_bug.cgi?id=328126 

upstream.
Comment 6 Alexandre Oliva 2006-02-10 12:51:04 EST
I found out a work-around for the problem.  If I insert the CD only when
nautilus CD creator asks for it, it won't be mounted, and then nautilus will ask
for confirmation on whether it is to blank the CD or not.  The problem is that
it won't unmount the media if it's already mounted.
Comment 7 Michal Babej 2006-11-08 11:54:53 EST
there is another workaround : System -> Preferences -> Removable Drives & Media
(you have to have gnome-volume-manager installed). Unselect "Mount when
inserted..." etc. That way CDs wont be mounted when inserted. I suspect Nautilus
has nothing to do with this, its a HAL/gnome-mount issue. However, it would be
nice if we would have the option to unmount the mounted media.
Comment 8 Zachary Napora 2008-04-20 15:49:16 EDT
FC5T2 is no longer supported. In order to refocus our efforts as a project we
are flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 9 Bug Zapper 2008-05-13 22:04:31 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-06-09 18:05:33 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-07-14 13:01:51 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.